Subject: fix segfault in parse_parameters() for some attachments
From: Mikhail Efremov <mikhefr@gmail.com>
Bug: http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2697
Applied-Upstream: 3.8.1cvs15

diff -purN claws-mail-3.8.1.orig/src/procmime.c claws-mail-3.8.1/src/procmime.c
--- claws-mail-3.8.1.orig/src/procmime.c	2012-06-27 11:05:22.000000000 +0200
+++ claws-mail-3.8.1/src/procmime.c	2012-10-11 23:15:23.000000000 +0200
@@ -1704,7 +1704,7 @@ static void parse_parameters(const gchar
 			    (g_slist_find_custom(concatlist, down_attr, g_strcmp0) == NULL))
 				concatlist = g_slist_prepend(concatlist, g_strdup(tmpattr));
 
-			if (convert && (g_slist_find_custom(convlist, down_attr, g_strcmp0) == NULL))
+			if (convert && (g_slist_find_custom(convlist, tmpattr, g_strcmp0) == NULL))
 				convlist = g_slist_prepend(convlist, g_strdup(tmpattr));
 
 			g_free(tmpattr);
